"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1076923e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107692480>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107692520>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1076925c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107692660>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107692700>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1076927a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107692840>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076928e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107692980>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107692a20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107692ac0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107692b60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107692c00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107692ca0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107692d40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107692de0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107692e80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107692f20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107692fc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107693060>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107693100>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1076931a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107693240>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1076932e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107693380>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107693420>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1076934c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107693560>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107693600>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1076936a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107693740>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1076937e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107693880>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x107693920>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1076939c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x107693a60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107693b00>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107693ba0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107693c40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107693ce0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107693d80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107693e20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107693ec0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107693f60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0040>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1076f00e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0180>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0220>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1076f02c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0360>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0400>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076f04a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0540>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1076f05e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0680>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0720>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f07c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0860>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0900>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f09a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0a40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0ae0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0c20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0cc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0d60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0e00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0ea0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0f40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1076f0fe0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1080>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1120>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1076f11c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1260>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1300>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1076f13a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1440>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1076f14e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1580>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1076f16c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1620>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1760>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1076f1800>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1076f18a0>)]
name: str = 'fr_HOCCN'
